%global vagrant_plugin_name vagrant-cachier
 
Name: %{vagrant_plugin_name}
Version: 1.2.0
Release: 4%{?dist}
Summary: Vagrant plugin to cache packages
Group: Development/Languages
License: MIT
URL: https://github.com/fgrehm/vagrant-cachier
Source0: https://rubygems.org/gems/%{vagrant_plugin_name}-%{version}.gem
Requires(posttrans): vagrant
Requires(preun): vagrant
Requires: vagrant
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildRequires: vagrant 
BuildArch: noarch
Provides: vagrant(%{vagrant_plugin_name}) = %{version}

%description
A Vagrant plugin that helps you reduce the amount of coffee you drink
while waiting for boxes to be provisioned by sharing a common package
cache among similar VM instances. Kinda like vagrant-apt_cache or
this magical snippet but targeting multiple package managers and
Linux distros.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{vagrant_plugin_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{vagrant_plugin_name}.gemspec

%build
gem build %{vagrant_plugin_name}.gemspec
%vagrant_plugin_install

%install
mkdir -p %{buildroot}%{vagrant_plugin_dir}
cp -a .%{vagrant_plugin_dir}/* \
       %{buildroot}%{vagrant_plugin_dir}/

# Remove shebangs from non-executable scripts
sed -i -e '1d' %{buildroot}%{vagrant_plugin_instdir}/spec/acceptance/sanity_check.bats
sed -i -e '1d' %{buildroot}%{vagrant_plugin_instdir}/development/Cheffile

# Test suite is present but requires Vagrant and virtualization
#%%check
#pushd .%%{gem_instdir}
#popd

%posttrans
%vagrant_plugin_register %{vagrant_plugin_name}

%preun
%vagrant_plugin_unregister %{vagrant_plugin_name}

%files
%dir %{vagrant_plugin_instdir}
%{vagrant_plugin_libdir}
%license %{vagrant_plugin_instdir}/LICENSE.txt
%{vagrant_plugin_instdir}/locales
%exclude %{vagrant_plugin_cache}
%exclude %{vagrant_plugin_instdir}/.gitignore
%{vagrant_plugin_spec}

%files doc
%doc %{vagrant_plugin_docdir}
%doc %{vagrant_plugin_instdir}/CHANGELOG.md
%{vagrant_plugin_instdir}/spec
%{vagrant_plugin_instdir}/development
%{vagrant_plugin_instdir}/Gemfile
%{vagrant_plugin_instdir}/Gemfile.lock
%doc %{vagrant_plugin_instdir}/README.md
%{vagrant_plugin_instdir}/Rakefile
%doc %{vagrant_plugin_instdir}/docs
%{vagrant_plugin_instdir}/vagrant-cachier.gemspec

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 07 2015 Josef Stribny <jstribny@redhat.com> - 1.2.0-2
- Do not create Vagrant group

* Thu Apr 02 2015 Josef Stribny <jstribny@redhat.com> - 1.2.0-1
- Initial package
